BLKZONE(8)

BEZEICHNUNG
blkzone - Zonenbefehle auf einem Gerät ausführen

ÜBERSICHT

blkzone Befehl [Optionen] Gerät

BESCHREIBUNG

blkzone wird zum Ausführen von Zone-Befehlen auf Geräten verwendet, die »Zoned Block Commands« (ZBC) oder »Zoned-device ATA Commands« (ZAC) unterstützen. Die Zonen, auf denen es agieren soll, werden durch Optionen angegeben, die den Versatz, die Anzahl oder die Länge bezeichnen.

Das Argument Gerät ist der Pfadname zu dem blockorientierten Gerät.

BEFEHLE

  report

Der Befehl blkzone report wird zum Melden von Informationen zu Gerätezonen verwendet.

Standardmäßig meldet der Befehl alle Zonen ab dem Beginn des blockorientierten Geräts. Zum Anpassen dieses Verhaltens können Optionen angegeben werden, welche die Startzone oder die Größe der Meldung beeinflussen, wie nachfolgend beschrieben.

Berichtsausgabe

     start      Zonen-Startsektor
     len        Zonenlänge in Anzahl der Sektoren
     cap        Zonenkapazität in Anzahl der Sektoren
     wptr       Schreibzeigerposition in der Zone
     reset      Zurücksetzen des Schreibzeigers empfohlen
     non-seq    Nicht-sequenzielle Schreibressourcen sind aktiv
     cond       Zonenbedingung
     type       Zonentyp

Zonenbedingungen:

     cl    Geschlossen
     nw    Kein Schreibzeiger
     em    Leer
     fu    Voll
     oe    Explizit geöffnet
     oi    Implizit geöffnet
     ol    Offline
     ro    Schreibgeschützt
     xN    Reservierte Bedingungen (sollte nicht gemeldet werden)

  capacity

Der Befehl blkzone capacity wird zum Melden von Informationen zur Gerätekapazität verwendet.

Standardmäßig meldet der Befehl die Summe in Anzahl der Sektoren aller Zonenkapazitäten auf diesem Gerät. Mittels Optionen können Sie dieses Verhalten anpassen, die Startzone oder den Umfang des Berichts ändern, wie nachfolgend beschrieben.

  reset

Der Befehl blkzone reset wird zum Zurücksetzen einer oder mehrerer Zonen verwendet. Im Gegensatz zu sg_reset_wp(8) agiert dieser Befehl auf Blockebene und kann einen Zonenbereich zurücksetzen.

  open

Der Befehl blkzone open kann zum expliziten Öffnen einer oder mehrerer Zonen verwendet werden. Im Gegensatz zur Öffnen-Aktion von sg_reset_wp(8) agiert dieser Befehl auf Blockebene und kann einen Zonenbereich öffnen.

  close

Der Befehl blkzone close kann zum Schließen einer oder mehrerer Zonen verwendet werden. Im Gegensatz zur Schließen-Aktion von sg_reset_wp(8) agiert dieser Befehl auf Blockebene und kann einen Zonenbereich schließen.

  finish

Der Befehl blkzone finish kann zum Finalisieren (Übergang zur Vollbedingung) einer oder mehrerer Zonen verwendet werden. Im Gegensatz zu sg_reset_wp(8) agiert dieser Befehl auf Blockebene und kann einen Zonenbereich finalisieren.

Standardmäßig agieren die Befehle reset, open, close und finish ab der Zone im Gerätesektor 0 und auf allen Zonen. Mittels Optionen können Sie dieses Verhalten anpassen, wie nachfolgend beschrieben.

OPTIONEN

Nachfolgend kann den Argumenten Versatz und Länge eines der multiplikativen Suffixe KiB (=1024), MiB (=1024*1024) und so weiter für GiB, TiB, PiB, EiB, ZiB und YiB folgen (das »iB« ist optional, zum Beispiel ist »K« gleichbedeutend mit »KiB«) oder die Suffixe KB (=1000), MB (=1000*1000) und so weiter für GB, TB, PB, EB, ZB und YB folgen. Zusätzlich können Sie mit dem Präfix 0x Versatz und Länge in hexadezimaler Notation angeben.

-o, --offset Sektor
    gibt die Startzone als Sektorenversatz an. Der angegebene Versatz in Sektoreinheiten (512 Byte) sollte dem Beginn der Zone entsprechen. Der Standardwert ist 0.

-l, --length Sektoren
    gibt die maximale Anzahl der Sektoren an, auf denen der Befehl agieren soll. Der Standardwert ist die Anzahl der Sektoren, die nach dem angegebenen Versatz verbleiben. Diese Option kann nicht zusammen mit der Option --count verwendet werden.

-c, --count Anzahl
    gibt die maximale Anzahl der Zonen an, auf denen der Befehl agieren soll. Der Standardwert ist die Anzahl der Zonen beginnend bei dem angegebenen Versatz. Diese Option kann nicht zusammen mit der Option --length verwendet werden.

-f, --force
    erzwingt Befehle zum Ändern des Zonenstatus auf von diesem System verwendeten blockorientierten Geräten.

-v, --verbose
    zeigt die Anzahl der im Bericht zurückgemeldeten Zonen oder den Bereich der zurückgesetzten Sektoren an.

-h, --help
    zeigt einen Hilfetext an und beendet das Programm.

-V, --version
    zeigt Versionsinformationen an und beendet das Programm.

AUTOREN

SIEHE AUCH

sg_rep_zones(8)

FEHLER MELDEN

Nutzen Sie zum Melden von Fehlern das

VERFÜGBARKEIT

Der Befehl blkzone ist Teil des Pakets util-linux, welches aus dem heruntergeladen werden kann.